ProjectUIUtils (Carbide.c++ SDK API Reference)
Keywords: com.nokia.carbide.cpp.project.ui.utils.ProjectUIUtils class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.nokia.carbide.cpp.project.ui.utils
Class ProjectUIUtils

    java.lang.Object
      com.nokia.carbide.cpp.project.ui.utils.ProjectUIUtils

    public class ProjectUIUtils

extends java.lang.Object

Utility class

Since:
  2.0

Constructor Summary
`ProjectUIUtils()`

Method Summary
`static int` | `getAddFilesToProjectOption()` Returns the preference option for whether or not to add new files in the project to the bld.inf and mmp files.
`static int` | `getChangedFilesInProjectOption()` Returns the preference option for whether or not to update the bld.inf and mmp files when files in the project are moved or renamed.
`static boolean` | `keepProjectsInSync()` Returns the preference option for whether or not to keep bld.inf and mmp files in sync with project changes.
`static void` | `setAddFilesToProjectOption(int option)` Sets the preference option for whether or not to update bld.inf and mmp files when new files are added to the project.
`static void` | `setChangedFilesInProjectOption(int option)` Sets the preference option for whether or not to update bld.inf and mmp files when files in the project are moved or renamed.
`static void` | `setKeepProjectsInSync(boolean keepInSync)` Sets the preference option for whether or not to keep bld.inf and mmp files in sync with project changes.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ProjectUIUtils

    public ProjectUIUtils()

Method Detail

### keepProjectsInSync

    public static boolean keepProjectsInSync()

  Returns the preference option for whether or not to keep bld.inf and mmp files in sync with project changes.

  Returns:
    whether or not the option is enabled

### setKeepProjectsInSync

    public static void setKeepProjectsInSync(boolean keepInSync)

  Sets the preference option for whether or not to keep bld.inf and mmp files in sync with project changes.

  Parameters:
    `keepInSync` - true to enable the feature, false to disable

### getAddFilesToProjectOption

    public static int getAddFilesToProjectOption()

  Returns the preference option for whether or not to add new files in the project to the bld.inf and mmp files.

  Returns:
    whether or not the option is enabled

### setAddFilesToProjectOption

    public static void setAddFilesToProjectOption(int option)

  Sets the preference option for whether or not to update bld.inf and mmp files when new files are added to the project.

  Parameters:
    `option` - true to enable the feature, false to disable

### getChangedFilesInProjectOption

    public static int getChangedFilesInProjectOption()

  Returns the preference option for whether or not to update the bld.inf and mmp files when files in the project are moved or renamed.

  Returns:
    whether or not the option is enabled

### setChangedFilesInProjectOption

    public static void setChangedFilesInProjectOption(int option)

  Sets the preference option for whether or not to update bld.inf and mmp files when files in the project are moved or renamed.

  Parameters:
    `option` - true to enable the feature, false to disable

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Carbide.c++
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD